Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JList.AccessibleJList

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.JList.AccessibleJList

protected class JList.AccessibleJList
extends JComponent.AccessibleJComponent
implements AccessibleSelection, java.beans.PropertyChangeListener, ListSelectionListener, ListDataListener

The class used to obtain the accessible role for this object.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `JList.AccessibleJList.AccessibleJListChild`

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`JList.AccessibleJList()`

Method Summary
`void` | `addAccessibleSelection(int i)` Adds the specified selected item in the object to the object's selection.
`void` | `clearAccessibleSelection()` Clears the selection in the object, so that nothing in the object is selected.
`void` | `contentsChanged(ListDataEvent e)` List Data Listener contents changed method.
`Accessible` | `getAccessibleAt(java.awt.Point p)` Returns the Accessible child contained at the local coordinate Point, if one exists.
`Accessible` | `getAccessibleChild(int i)` Return the nth Accessible child of the object.
`int` | `getAccessibleChildrenCount()` Returns the number of accessible children in the object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleSelection` | `getAccessibleSelection()` Get the AccessibleSelection associated with this object if one exists.
`Accessible` | `getAccessibleSelection(int i)` Returns an Accessible representing the specified selected item in the object.
`int` | `getAccessibleSelectionCount()` Returns the number of items currently selected.
`AccessibleStateSet` | `getAccessibleStateSet()` Get the state set of this object.
`void` | `intervalAdded(ListDataEvent e)` List Data Listener interval added method.
`void` | `intervalRemoved(ListDataEvent e)` List Data Listener interval removed method.
`boolean` | `isAccessibleChildSelected(int i)` Returns true if the current child of this object is selected.
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Property Change Listener change method.
`void` | `removeAccessibleSelection(int i)` Removes the specified selected item in the object from the object's selection.
`void` | `selectAllAccessibleSelection()` Causes every selected item in the object to be selected if the object supports multiple selections.
`void` | `valueChanged(ListSelectionEvent e)` List Selection Listener value change method.

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JList.AccessibleJList

    public JList.AccessibleJList()

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Property Change Listener change method. Used to track changes to the DataModel and ListSelectionModel, in order to re-set listeners to those for reporting changes there via the Accessibility PropertyChange mechanism.
  Specified by:
    propertyChange in interface java.beans.PropertyChangeListener
  Parameters:
    `e` - PropertyChangeEvent

### valueChanged

    public void valueChanged(ListSelectionEvent e)

  List Selection Listener value change method. Used to fire the property change
  Specified by:
    valueChanged in interface ListSelectionListener
  Parameters:
    `e` - ListSelectionEvent

### intervalAdded

    public void intervalAdded(ListDataEvent e)

  List Data Listener interval added method. Used to fire the visible data property change
  Specified by:
    intervalAdded in interface ListDataListener
  Parameters:
    `e` - ListDataEvent

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

  List Data Listener interval removed method. Used to fire the visible data property change
  Specified by:
    intervalRemoved in interface ListDataListener
  Parameters:
    `e` - ListDataEvent

### contentsChanged

    public void contentsChanged(ListDataEvent e)

  List Data Listener contents changed method. Used to fire the visible data property change
  Specified by:
    contentsChanged in interface ListDataListener
  Parameters:
    `e` - ListDataEvent

### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

  Get the state set of this object.
  Returns:
    an instance of AccessibleState containing the current state of the object
  Overrides:
    getAccessibleStateSet in class JComponent.AccessibleJComponent
  See Also:
    `AccessibleState`

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object
  Overrides:
    getAccessibleRole in class JComponent.AccessibleJComponent
  See Also:
    `AccessibleRole`

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Returns the Accessible child contained at the local coordinate Point, if one exists.
  Returns:
    the Accessible at the specified location, if it exists
  Overrides:
    getAccessibleAt in class JComponent.AccessibleJComponent

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Returns the number of accessible children in the object. If all of the children of this object implement Accessible, than this method should return the number of children of this object.
  Returns:
    the number of accessible children in the object.
  Overrides:
    getAccessibleChildrenCount in class JComponent.AccessibleJComponent

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Return the nth Accessible child of the object.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the nth Accessible child of the object
  Overrides:
    getAccessibleChild in class JComponent.AccessibleJComponent

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Get the AccessibleSelection associated with this object if one exists. Otherwise return null.
  Overrides:
    getAccessibleSelection in class AccessibleContext

### getAccessibleSelectionCount

    public int getAccessibleSelectionCount()

  Returns the number of items currently selected. If no items are selected, the return value will be 0.
  Specified by:
    getAccessibleSelectionCount in interface AccessibleSelection
  Returns:
    the number of items currently selected.

### getAccessibleSelection

    public Accessible getAccessibleSelection(int i)

  Returns an Accessible representing the specified selected item in the object. If there isn't a selection, or there are fewer items selcted than the integer passed in, the return value will be null.
  Specified by:
    getAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selected items
  Returns:
    an Accessible containing the selected item

### isAccessibleChildSelected

    public boolean isAccessibleChildSelected(int i)

  Returns true if the current child of this object is selected.
  Specified by:
    isAccessibleChildSelected in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of the child in this Accessible object.
  See Also:
    `AccessibleContext.getAccessibleChild(int)`

### addAccessibleSelection

    public void addAccessibleSelection(int i)

  Adds the specified selected item in the object to the object's selection. If the object supports multiple selections, the specified item is added to any existing selection, otherwise it replaces any existing selection in the object. If the specified item is already selected, this method has no effect.
  Specified by:
    addAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selectable items

### removeAccessibleSelection

    public void removeAccessibleSelection(int i)

  Removes the specified selected item in the object from the object's selection. If the specified item isn't currently selected, this method has no effect.
  Specified by:
    removeAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selectable items

### clearAccessibleSelection

    public void clearAccessibleSelection()

  Clears the selection in the object, so that nothing in the object is selected.
  Specified by:
    clearAccessibleSelection in interface AccessibleSelection

### selectAllAccessibleSelection

    public void selectAllAccessibleSelection()

  Causes every selected item in the object to be selected if the object supports multiple selections.
  Specified by:
    selectAllAccessibleSelection in interface AccessibleSelection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.